RDKit::MolInterchange::JSONParseParameters Struct Reference

`#include <MolInterchange.h>`

## Public Attributes

bool | setAromaticBonds
bool | strictValenceCheck
bool | parseProperties
bool | parseConformers

## Detailed Description

Definition at line 39 of file MolInterchange.h.

## Member Data Documentation

## parseConformers

bool RDKit::MolInterchange::JSONParseParameters::parseConformers

Initial value:
=
true

toggles extracting molecular properties from the JSON block

Definition at line 46 of file MolInterchange.h.

## parseProperties

bool RDKit::MolInterchange::JSONParseParameters::parseProperties

Initial value:
=
true

toggles doing reasonable valence checks

Definition at line 44 of file MolInterchange.h.

## setAromaticBonds

bool RDKit::MolInterchange::JSONParseParameters::setAromaticBonds

Initial value:
=
true

Definition at line 40 of file MolInterchange.h.

## strictValenceCheck

bool RDKit::MolInterchange::JSONParseParameters::strictValenceCheck

Initial value:
=
false

toggles setting the BondType of aromatic bonds to Aromatic

Definition at line 42 of file MolInterchange.h.

The documentation for this struct was generated from the following file:

- MolInterchange.h